#############################################################################
# You should *not* need to edit this file!  All configuration parameters
# are in Makefile.cfg and Makefile.hum
#############################################################################

include Makefile.inc

#############################################################################

all:	Client # Server

#############################################################################

SHELL	= /bin/sh

clean:
	echo "making \`clean' in $(CLIENTDIR)"
	@cd $(CLIENTDIR); $(MAKE) -f $(MKPFX)Makefile clean
	@echo "making \`clean' in $(COMMONDIR)"
	@cd $(COMMONDIR) ; $(MAKE) -f $(MKPFX)Makefile clean
	@echo "making \`clean' in $(BSDSRCDIR)"
	@cd $(BSDSRCDIR) ; $(MAKE) -f $(MKPFX)Makefile clean
	-rm -f Makefile.base _Makefile.mak

#############################################################################

Makefiles:
	@echo Makefiles already made

#############################################################################

install:	installc

ifsp installc:	Common Bsd
	@if [ -d $(CLIENTDIR) ]; then \
		echo "making \`install' in $(CLIENTDIR)" ; \
		cd $(CLIENTDIR) ; \
		$(MAKE) -f $(MKPFX)Makefile install ; \
	fi

#############################################################################

install-man:	installc-man

ifspman installc-man:
	echo "making \`install-man' in $(CLIENTDIR)"
	@cd $(CLIENTDIR); $(MAKE) -f $(MKPFX)Makefile install-man

#############################################################################

fsp Client:	Common Bsd
	echo "making \`all' in $(CLIENTDIR)"
	@cd $(CLIENTDIR); $(MAKE) -f $(MKPFX)Makefile all

Common:
	@echo "making \`libcommon.a' in $(COMMONDIR)"
	@cd $(COMMONDIR); $(MAKE) -f $(MKPFX)Makefile libcommon.a

Bsd:
	@echo "making \`libbsdsrc.a' in $(BSDSRCDIR)"
	@cd $(BSDSRCDIR); $(MAKE) -f $(MKPFX)Makefile libbsdsrc.a

#############################################################################

ClientTar:	clean PackageClient

PackageClient:
	@cd ..;\
	 echo "running \`fspclient/package.client fsp' in `pwd`";\
	 fspclient/package.client fspclient

#############################################################################
